%define product         GroupUserFolder
%define realVersion     3.54.1
%define release         1

%define version %(echo %{realVersion} | sed -e 's/-/./g')
%define zope_minver      2.5

%define zope_home       %{_prefix}/lib/zope
%define software_home   %{zope_home}/lib/python

Summary:        GRUF is a convenient tool to manage groups of users within Zope
Name:           zope-%{product}
Version:        %{version}
Release:        %mkrel %{release}
License:        Zope Public License (ZPL)
Group:          System/Servers
Source:         http://plone.org/products/groupuserfolder/releases/%{version}/%{product}-%{realVersion}.tar.bz2
URL:            http://ingeniweb.sourceforge.net/Products/GroupUserFolder/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
Requires:       zope >= %{zope_minver}

%description
GRUF is a convenient tool to manage groups of users within Zope.

It works as a frontend between a Zope application relying on a UserFolder 
and a set of two regular UserFolders : one will store the users and the 
other one will store the groups.

It has a whole bunch of cool features, especially :
It doesn't patch anything in Zope ;
It integrates smoothly without the need of any additional form (some are 
provided but it's only for convenience) ;
It doesn't store users by itself but delegates that job to another User 
Folder. So, it works with virtually ANY Zope UserFolder in there ! 
(especially standard acl_users but also LDAPUserFolder, SimpleUserFolder...)

It supports groups nesting (ie. groups can belong to other groups and 
'inherit' their roles It allows groups and users to be stored in a separated 
backend (eg. groups in ZODB and users in LDAP, ...);
It supports (since 2.0 version) multiple user sources, ie. you can have a 
bunch of users in LDAP plus some users in a standard User Folder, and they all 
will be integrated to GRUF;

It provides clean management screens (including user and groups editing 
interfaces) ; It provides security auditing tools ; It's compatible with 
regular Zope UserFolder API ;
Groups are seen as regular Zope users in applications that doesn't include 
groups support. Thus, you don't have to rewrite anything to gain benefit from 
GRUF's groups !

GRUF has been designed by the Ingeniweb team.

%prep
%setup -c -q

%build
# Not much, eh? :-)


%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}/%{software_home}/Products
%{__cp} -a * %{buildroot}%{software_home}/Products/


%clean
%{__rm} -rf %{buildroot}

%post
if [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
        service zope restart
fi

%postun
if [ -f "%{_prefix}/bin/zopectl" ] && [ "`%{_prefix}/bin/zopectl status`" != "daemon manager not running" ] ; then
        service zope restart
fi

%files
%defattr(-, root, root, 0755)
%{software_home}/Products/*



%changelog
* Tue Dec 19 2006 Gaëtan Lehmann <glehmann@mandriva.org> 3.54.1-1mdv2007.0
+ Revision: 99934
- 3.54.1

* Tue Aug 08 2006 Gaëtan Lehmann <glehmann@mandriva.org> 3.52-1mdv2007.0
+ Revision: 54440
- update to 3.52

* Mon Aug 07 2006 Nicolas Lécureuil <neoclust@mandriva.org> 3.5-2mdv2007.0
+ Revision: 53909
- Increase release
- Fix  rpmlint warnings

  + Gaëtan Lehmann <glehmann@mandriva.org>
    - Import zope-GroupUserFolder


* Sat Mar  4 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 3.5-1mdk
- 3.5

* Sat Oct 22 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 3.4-1mdk
- New release 3.4
- fix source URL

* Sun Aug 21 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 3.3-2mdk
- fix path on x86_64

* Sun Jul 31 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 3.3-1mdk
- New release 3.3

* Tue Apr 24 2005 Gaetan Lehmann <glehmann@n4.mandrakesoft.com> 3.2-1mdk
- New release 3.2
- use mkrel
- remove patch 0 (fixed in source)

* Mon Jan 17 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 3.2-0.rc1.1mdk
- 3.2 RC1
- fix uninstall error message

* Thu Dec 12 2004 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 3.1.1-1mdk
- initial contrib
- 3.1.1
